
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class V1::ActionCountersController < ApplicationController
  include ::Paginator

  before_action :set_action_counter, only: :show

  def index
    action_counters = paginate ActionCounter
    render json: action_counters
  end

  def show
    render json: @action_counter
  end

  private

  def set_action_counter
    @action_counter ||= ActionCounter.find_by_id(params[:id])
    if @action_counter.blank?
      render status: :not_found
    end
  end

end
